using System;
using System.Collections.Generic;
using System.Data;
using System.Text;

using Vevo.Domain.Orders;
using Vevo.Base.Domain;

namespace Vevo.Domain.DataInterfaces
{
    public interface IOrderItemRepository
    {
        OrderItem Save( OrderItem orderItem );
        OrderItem GetOne( string orderItemID );
        void Delete( string orderItemID );
        void DeleteByOrderID( string orderID );
        IList<OrderItem> GetByOrderID( string orderID );
        decimal GetSubtotal( string OrderID );
        IList<OrderItem> ExportOrderItem( string sortOrder, SearchFilter searchFilter );

        void UpdateRecurringItem( OrderItemRecurring orderItemRecurring );
        DataTable GetAllChildOrderRecurring( int orderID );
        IList<TableSchemaItem> GetTableSchema();
    }
}
