﻿using System.Collections.Generic;
using Vevo.Domain.Returns;
using Vevo.Base.Domain;

namespace Vevo.Domain.DataInterfaces
{
    public interface IRmaRepository
    {
        Rma Save( Rma rma );
        Rma GetOne( string rmaID );
        void Delete( string rmaID );
        IList<Rma> SearchRma(
            string sortBy,
            SearchFilter searchFilter,
            int startIndex,
            int endIndex,
            out int howManyItems );

        IList<Rma> SearchRma(
            string sortBy,
            SearchFilter searchFilter,
            string storeID,
            string customerID,
            out int howManyItems );

        IList<Rma> SearchRma(
            string sortBy,
            SearchFilter searchFilter,
            int startIndex,
            int endIndex,
            string storeID,
            Rma.RmaStatus status,
            out int howManyItems );

        IList<Rma> SearchRma(
            string sortBy,
            SearchFilter searchFilter,
            int startIndex,
            int endIndex,
            string storeID,
            string customerID,
            out int howManyItems );

        IList<TableSchemaItem> GetTableSchema();
        IList<TableSchemaItem> GetRmaHistoryTableSchema();
    }
}
