﻿using System.Collections.Generic;
using System.Data;
using Vevo.Domain.Base;
using Vevo.Domain.Products;
using Vevo.Base.Domain;

namespace Vevo.Domain.DataInterfaces
{
    public interface ISpecificationItemValueRepository
    {
        IList<ILocale> GetLocales( string specificationItemValueID );
        IList<TableSchemaItem> GetTableSchema();
        SpecificationItemValue Save( SpecificationItemValue specificationItemValue );
        void Delete( string specificationItemValueID );
        void DeleteLocalesByCultureID( string cultureID );
        void DeleteBySpecificationItemID( string specificationItemID );
        DataTable GetAll( Culture culture );
        SpecificationItemValue GetOne( Culture culture, string specificationItemValueID );
        SpecificationItemValue GetOneBySpecItemIDAndValue( Culture culsture, string specificationItemID, string value );
        SpecificationItemValue GetOneByValue( Culture culture, string value );
        IList<SpecificationItemValue> GetBySpecificationItemID( Culture culture, string specificationItemID );
        IList<SpecificationItemValue> SearchSpecificationItemValue(
                Culture culture,
                string specificationItemID,
                string sortBy,
                SearchFilter searchfilter,
                int startIndex,
                int endIndex,
                out int howManyItems
            );
    }
}
