using System;
using System.Collections.Generic;
using System.Text;
using Vevo.Shared.Utilities;

namespace Vevo.Domain.Payments
{
    public class PaymentAppResult
    {
        #region Public Enum

        public enum PaymentStatus
        {
            Unknown = -1,
            OK = 0,
            Error,
            Fail
        }

        #endregion


        #region Private

        private PaymentStatus _status = PaymentStatus.Unknown;
        private string _gatewayOrderID = String.Empty;
        private string _errorMessage = String.Empty;
        private string _paymentLog = String.Empty;
        private string _referenceID = String.Empty;
        private string _cvvStatus = String.Empty;
        private string _avsAddrStatus = String.Empty;
        private string _avsZipStatus = String.Empty;

        #endregion


        #region Public Properties

        public PaymentStatus Status { get { return _status; } }
        public string GatewayOrderID { get { return _gatewayOrderID; } }
        public string ErrorMessage { get { return _errorMessage; } }
        public string PaymentLog { get { return _paymentLog; } }
        public string ReferenceID { get { return _referenceID; } }
        public string CvvStatus { get { return _cvvStatus; } }
        public string AvsAddrStatus { get { return _avsAddrStatus; } }
        public string AvsZipStatus { get { return _avsZipStatus; } }

        #endregion


        #region Constructors

        public PaymentAppResult()
        {
        }

        public PaymentAppResult(
            PaymentStatus status,
            string gatewayOrderID,
            string errorMessage,
            string paymentLog,
            string referenceID )
        {
            _status = status;
            _gatewayOrderID = gatewayOrderID;
            _errorMessage = errorMessage;
            _paymentLog = paymentLog;
            _referenceID = referenceID;
        }

        public PaymentAppResult(
            PaymentStatus status,
            string gatewayOrderID,
            string errorMessage,
            string paymentLog,
            string referenceID,
            string avsAddrStatus,
            string avsZipStatus,
            string cvvStatus )
        {
            _status = status;
            _gatewayOrderID = gatewayOrderID;
            _errorMessage = errorMessage;
            _paymentLog = paymentLog;
            _referenceID = referenceID;
           
            _avsAddrStatus = avsAddrStatus;
            _avsZipStatus = avsZipStatus;
            _cvvStatus = cvvStatus;
        }
        #endregion
    }

}
