﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Vevo.UrlModuleLib;

public partial class Layouts_BlogDetails_BlogDetailsDefault : Vevo.WebUI.Blog.BaseBlogDetailsControl
{
    private void SetTagsLink()
    {
        string[] tagsList = CurrentBlog.Tags.Split( ',' );

        foreach (string tags in tagsList)
        {
            HyperLink tagsLink = new HyperLink();
            tagsLink.ID = tags;
            tagsLink.CssClass = "BlogDetailsDefaultTagsLink";
            tagsLink.Text = Server.HtmlEncode( tags );
            tagsLink.NavigateUrl = "~/Blog/SearchResult.aspx?Search=" + Server.UrlEncode(tags.Trim());
            uxTagsPanel.Controls.Add( tagsLink );
            if (tagsList[tagsList.Length - 1] != tags)
            {
                Label uxSeparater = new Label();
                uxSeparater.ID = "uxSeparater";
                uxSeparater.Text = " , ";
                uxTagsPanel.Controls.Add( uxSeparater );
            }
        }
    }

    protected void Page_Load( object sender, EventArgs e )
    {
        if (!IsPostBack)
        {
            SetTagsLink();
        }
    }
}
