using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Net.Mail;
using System.Text;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Vevo;
using Vevo.Domain;
using Vevo.WebAppLib;

public partial class ContactUs : Vevo.Deluxe.WebUI.Base.BaseLicenseLanguagePage
{
    protected void Page_Load( object sender, EventArgs e )
    {

    }

    protected void Page_PreRender( object sender, EventArgs e )
    {
        uxCompanyLabel.Text = DataAccessContext.Configurations.GetValue(
            CultureUtilities.StoreCultureID, "CompanyName" );
        uxAddressLabel.Text = DataAccessContext.Configurations.GetValue(
            CultureUtilities.StoreCultureID, "CompanyAddress" );
        uxCityLabel.Text = DataAccessContext.Configurations.GetValue(
            CultureUtilities.StoreCultureID, "CompanyCity" );
        uxStateLabel.Text = DataAccessContext.Configurations.GetValue(
            CultureUtilities.StoreCultureID, "CompanyState" );
        uxZipLabel.Text = DataAccessContext.Configurations.GetValue( "CompanyZip" );
        uxCountryLabel.Text = DataAccessContext.Configurations.GetValue(
            CultureUtilities.StoreCultureID, "CompanyCountry" );
        uxPhoneLabel.Text = DataAccessContext.Configurations.GetValue( "CompanyPhone" );
        uxFaxLabel.Text = DataAccessContext.Configurations.GetValue( "CompanyFax" );
        uxEmailLabel.Text = DataAccessContext.Configurations.GetValue( "CompanyEmail" );
    }

    private void SendContactUsEmail()
    {
        string body = String.Format(
            "From Contact Us page.\n" +
            "Sender name: {0}\n" +
            "Email address: {1}\n" +
            "---------------------------------\n\n" +
            "{2}",
            uxNameText.Text,
            uxEmailText.Text,
            uxCommentText.Text );
        try
        {
            WebUtilities.SendMail(
                DataAccessContext.Configurations.GetValue( "CompanyEmail" ),
                DataAccessContext.Configurations.GetValue( "CompanyEmail" ),
                uxSubjectText.Text,
                body );
            Response.Redirect( "~/ContactUsFinished.aspx" );
        }
        catch (Exception)
        {
            uxErrorMessage.DisplayErrorNoNewLine( "[$SentErrorMessage]" );
        }
    }

    protected void uxSubmitButton_Click( object sender, EventArgs e )
    {
        if (Page.IsValid)
        {
            SendContactUsEmail();
        }
    }
}
