<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ProductListItem.ascx.cs"
    Inherits="Components_ProductListItem" %>
<%@ Register Src="~/Components/AddtoWishListButton.ascx" TagName="AddtoWishListButton"
    TagPrefix="uc4" %>
<%@ Register Src="~/Components/AddtoCompareListButton.ascx" TagName="AddtoCompareListButton"
    TagPrefix="uc7" %>
<%@ Register Src="~/Components/Message.ascx" TagName="Message" TagPrefix="uc3" %>
<%@ Register Src="~/Components/OptionGroupDetails.ascx" TagName="OptionGroupDetails"
    TagPrefix="uc2" %>
<%@ Register Src="~/Components/CatalogImage.ascx" TagName="CatalogImage" TagPrefix="uc1" %>
<%@ Register Src="~/Components/RecurringSpecial.ascx" TagName="RecurringSpecial"
    TagPrefix="uc5" %>
<%@ Register Src="~/Components/AddThis.ascx" TagName="AddThis" TagPrefix="ucAddThis" %>
<%@ Register Src="~/Components/AddToCartNotification.ascx" TagName="AddToCartNotification"
    TagPrefix="uc8" %>
<%@ Register Src="~/Components/ProductQuickView.ascx" TagName="ProductQuickView"
    TagPrefix="uc6" %>
<%@ Import Namespace="Vevo" %>
<%@ Import Namespace="Vevo.Domain" %>
<%@ Import Namespace="Vevo.Domain.Products" %>
<%@ Import Namespace="Vevo.Shared.Utilities" %>
<%@ Import Namespace="Vevo.WebUI" %>
<div class="ProductListItem">
    <table class="ProductListItemTable">
        <tr>
            <td class="ProductListItemImageColumn">
                <asp:Panel ID="uxImagePanel" runat="server" CssClass="ProductListItemImageColumnPanel">
                    <table class="ProductListItemImageColumn">
                        <tr>
                            <td valign="middle">
                                <asp:HyperLink ID="uxProductLink" runat="server" NavigateUrl='<%# Vevo.UrlManager.GetProductUrl( Eval( "ProductID" ).ToString(), Eval( "UrlName" ).ToString() ) %>'
                                    CssClass="ProductLink">
                                    <uc1:CatalogImage ID="uxCatalogImage" runat="server" ProductID='<%# Eval( "ProductID" ).ToString() %>'
                                        AlternateText='<%# ImageAlternateText(BindingContainer) %>' Title='<%# ImageTitleText(BindingContainer) %>' />
                                </asp:HyperLink>
                            </td>
                        </tr>
                    </table>
                    <uc6:ProductQuickView ID="ProductQuickView1" runat="server" ProductID='<%# Eval( "ProductID" ).ToString() %>' />
                </asp:Panel>
            </td>
            <td class="ProductListItemDetailsColumn">
                <div class="ProductListItemDetailsDiv">
                    <div class="ProductListItemNameDiv">
                        <asp:HyperLink ID="uxNameLink" CssClass="ProductListItemNameLink" NavigateUrl='<%# UrlManager.GetProductUrl( Eval( "ProductID" ).ToString(), Eval( "UrlName" ).ToString() ) %>'
                            runat="server"> 
                                <%# Eval("Name") %> 
                        </asp:HyperLink>
                    </div>
                    <div class="ProductListItemDescription">
                        <%# Eval("ShortDescription") %>
                    </div>
                    <asp:Panel ID="uxRmaMessagePanel" runat="server" CssClass="ProductListItemRmaPanel"
                        Visible="<%# IsRmaEmable() %>">
                        <asp:Label ID="uxRmaMessageLabel" runat="server" Text='<%# RmaMessage( Eval( "ReturnTime" ) ) %>' />
                    </asp:Panel>
                    <asp:Panel ID="uxStockPlaceHolder" runat="server" Visible='<%# !CatalogUtilities.IsCatalogMode() %>'
                        CssClass="ProductListItemOutOfStockPanel">
                        <asp:Label ID="uxStockLabel" runat="server" Text='<%# (CatalogUtilities.IsOutOfStock( Convert.ToInt32( Eval( "SumStock" ) ) , Convert.ToBoolean(Eval("UseInventory")))) ? "[$Out]" : "" %>'></asp:Label>
                    </asp:Panel>
                    <div class="ProductListItemDetailsPriceDiv">
                        <div id="uxRecurringDiv" runat="server" visible='<%# ConvertUtilities.ToBoolean( Eval("IsRecurring") ) %>'
                            class="ProductListItemRecurringDiv">
                            <asp:Panel ID="uxRecurringPeriodTR" runat="server" Visible='<%# IsVisibilityRecurringPeriod() %>'
                                CssClass="ProductListItemRecurringCycles">
                                <%# "[$RecurringAmountEvery] " + ShowRecurringCycles() %>
                            </asp:Panel>
                            <uc5:RecurringSpecial ID="uxRecurringSpecail" runat="server" Visible='<%# IsAuthorizedToViewPrice(Eval( "IsCallForPrice" )) %>' />
                        </div>
                        <div class="ProductListItemPriceDiv">
                            <asp:Panel ID="uxCallForPriceTR" runat="server" Visible='<%# IsCallForPrice( Eval( "IsCallForPrice" ) ) %>'
                                CssClass="ProductListItemOurPricePanel">
                                <div class="ProductListItemCallForPrice">
                                    [$CallForPrice]
                                </div>
                            </asp:Panel>
                            <asp:Panel ID="uxRetailPriceTR" runat="server" Visible='<%# IsRetailPriceEnabled( Eval( "IsFixedPrice" ), Eval( "IsCustomPrice" ), GetRetailPrice( Eval( "ProductID" ) ) ,Eval( "IsCallForPrice" ) )&& !IsDynamicProductKitPrice(BindingContainer) %>'
                                CssClass="ProductListItemRetailPricePanel">
                                <div class="ProductListItemRetailPriceLabel">
                                    [$Retail Price]
                                </div>
                                <div class="ProductListItemRetailPriceValue">
                                    <%# StoreContext.Currency.FormatPrice( GetRetailPrice( Eval( "ProductID" ) ) )%>
                                </div>
                                <span class="DiscountPercent" id="uxDiscountPercentLabel" runat="server" visible='<%# IsDiscount(Eval( "ProductID" )) && IsFixedPrice( Eval( "IsFixedPrice" ), Eval( "IsCustomPrice" ), Eval( "IsCallForPrice" )  )  %>'>
                                    <span class="PercentLabel">[$Percent]</span> <span class="PercentValue">
                                        <%# GetDiscountPercent( Eval( "ProductID" ))%></span> </span>
                                <div class="Clear">
                                </div>
                            </asp:Panel>
                            <asp:Panel ID="uxOurPricePanel" runat="server" CssClass="ProductListItemOurPricePanel"
                                Visible='<%# IsFixedPrice( Eval( "IsFixedPrice" ), Eval( "IsCustomPrice" ), Eval( "IsCallForPrice" )  ) && !IsDynamicProductKitPrice(BindingContainer) %>'>
                                <div class="ProductListItemOurPriceLabel">
                                    <asp:Label ID="uxPriceHeadLabel" runat="server">[$Our Price]</asp:Label>
                                </div>
                                <div class="ProductListItemOurPriceValue">
                                    <asp:Label ID="uxPriceLabel" runat="server" Text='<%# GetFormattedPriceFromContainer( BindingContainer ) %>' />
                                </div>
                            </asp:Panel>
                        </div>
                        <div class="ProductListItemSpecialLabel">
                            <div id="uxProductListItemQuantityDiscountPanel" runat="server" visible='<%# QuantityDiscountVisible( Eval("DiscountGroupID"), Eval("CategoryIDs") ) %>'
                                class="ProductListItemQuantityDiscountPanel">
                                <asp:Label ID="uxQuantityDiscountPanel" runat="server" CssClass="DiscountLabel" Text="[$DiscountIcon]" />
                            </div>
                            <div id="uxFreeShippingRow" runat="server" visible='<%# Convert.ToBoolean(Eval( "FreeShippingCost" ))%>'
                                class="ProductListItemQuantityDiscountPanel">
                                <asp:Label ID="Label1" runat="server" CssClass="FreeShippingLabel" Text="[$FreeShippingIcon]"
                                    Visible='<%# Convert.ToBoolean(Eval( "FreeShippingCost" ))%>' />
                            </div>
                        </div>
                        <div class="ProductListItemButtonDiv">
                            <asp:PlaceHolder ID="uxAddtoCartPlaceHolder" runat="server" Visible='<%# !CatalogUtilities.IsCatalogMode() %>'>
                                <asp:LinkButton ID="uxAddToCartImageButton" runat="server" OnClick="uxAddToCartImageButton_Command"
                                    CommandName='<%# Eval( "UrlName" ) %>' CommandArgument='<%# Eval( "ProductID" ) %>'
                                    Visible='<%# !(CatalogUtilities.IsOutOfStock( Convert.ToInt32( Eval( "SumStock" ) ) , Convert.ToBoolean(Eval("UseInventory")))) && IsAuthorizedToViewPrice(Eval( "IsCallForPrice" )) %>'
                                    ValidationGroup='<%# String.Format( "ProductValid{0}", Eval( "ProductID" ).ToString() ) %>'
                                    Text="[$BtnAddToCart]" CssClass="BtnStyle1" />
                            </asp:PlaceHolder>
                            <div class="ProductListItemTellFriendPanel">
                                <asp:LinkButton ID="uxTellFriendLinkButton" runat="server" Text=" " CssClass="BtnStyle5 TellFriendLinkButton"
                                    OnCommand="uxTellFriendButton_Command" CommandArgument='<%#Vevo.UrlManager.GetTellFriendUrl( Eval( "ProductID" ).ToString(), Eval( "UrlName" ).ToString() ) %>'
                                    ToolTip="[$BtnTellFriend]" />
                            </div>
                            <asp:Panel ID="uxAddtoWishListDiv" runat="server" CssClass="ProductListItemAddtoWishListPanel"
                                Visible='<%# !Convert.ToBoolean( Eval( "IsGiftCertificate" ) ) && !Convert.ToBoolean( Eval( "IsCustomPrice" ) ) && !CatalogUtilities.IsOutOfStock( Convert.ToInt32( Eval( "SumStock" ) ) , Convert.ToBoolean(Eval("UseInventory"))) %>'>
                                <uc4:AddtoWishListButton ID="uxAddtoWishListButton" runat="server" Visible='<%# !Convert.ToBoolean( Eval( "IsGiftCertificate" ) ) && 
                    !CatalogUtilities.IsOutOfStock( Convert.ToInt32( Eval( "SumStock" ) ) , Convert.ToBoolean(Eval("UseInventory"))) &&
                    !Convert.ToBoolean( Eval( "IsCustomPrice" ) ) && !Convert.ToBoolean( Eval( "IsCallForPrice" ) ) && !Convert.ToBoolean( Eval( "IsProductKit" ) ) %>'
                                    ProductID='<%# Eval( "ProductID" ) %>' UrlName='<%# Eval( "UrlName" ) %>' ValidationGroup='<%# String.Format( "ProductValid{0}", Eval( "ProductID" ).ToString() ) %>'
                                    Text=" " />
                            </asp:Panel>
                            <asp:Panel ID="uxAddtoCompareListPanel" runat="server" CssClass="ProductListItemAddtoCompareListPanel"
                                Visible='<%# !Convert.ToBoolean( Eval( "IsProductKit" ) ) && !Convert.ToBoolean( Eval( "IsGiftCertificate" ) )  %>'>
                                <uc7:AddtoCompareListButton ID="uxAddtoCompareListButton" runat="server" ProductID='<%# Eval( "ProductID" ) %>'
                                    UrlName='<%# Eval( "UrlName" ) %>' Text=" " />
                            </asp:Panel>
                        </div>
                    </div>
                    <div class="AddThisWidget">
                        <ucAddThis:AddThis ID="AddThis2" LinkURL='<%# UrlManager.GetProductFullUrl( Eval( "ProductID" ).ToString(), Eval( "UrlName" ).ToString() ) %>'
                            Title='<%# Eval("Name") %>' runat="server" />
                    </div>
                </div>
            </td>
        </tr>
        <tr>
            <td>
            </td>
            <td>
                <asp:Panel ID="uxOptionGroupPanel" runat="server" CssClass="ProductListItemOptionGroupPanel"
                    Visible='<%# OptionVisibleInProductList(Eval( "ProductID" ).ToString()) %>'>
                    <uc2:OptionGroupDetails ID="uxOptionGroupDetails" runat="server" ProductID='<%# Eval( "ProductID" ) %>'
                        ValidGroup='<%# String.Format( "ProductValid{0}", Eval( "ProductID" ).ToString() ) %>' />
                </asp:Panel>
            </td>
        </tr>
    </table>
    <div class="ProductListItemMessageDiv">
        <uc3:Message ID="uxMessage" runat="server" />
    </div>
</div>
<asp:UpdatePanel ID="uxNotificationUpdate" runat="server" UpdateMode="Conditional">
    <ContentTemplate>
        <uc8:AddToCartNotification ID="uxAddToCartNotification" runat="server" />
    </ContentTemplate>
    <Triggers>
        <asp:AsyncPostBackTrigger ControlID="uxAddToCartImageButton" />
    </Triggers>
</asp:UpdatePanel>
