<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ProductListItemColumn3.ascx.cs"
    Inherits="Components_ProductListItemColumn3" %>
<%@ Register Src="~/Components/AddtoWishListButton.ascx" TagName="AddtoWishListButton"
    TagPrefix="uc4" %>
<%@ Register Src="~/Components/AddtoCompareListButton.ascx" TagName="AddtoCompareListButton"
    TagPrefix="uc7" %>
<%@ Register Src="~/Components/CatalogImage.ascx" TagName="CatalogImage" TagPrefix="uc1" %>
<%@ Register Src="~/Components/AddToCartNotification.ascx" TagName="AddToCartNotification"
    TagPrefix="uc8" %>
<%@ Register Src="~/Components/ProductQuickView.ascx" TagName="ProductQuickView"
    TagPrefix="uc6" %>
<%@ Register Src="~/Components/OptionGroupDetails.ascx" TagName="OptionGroupDetails"
    TagPrefix="uc3" %>
<%@ Import Namespace="Vevo" %>
<%@ Import Namespace="Vevo.Shared.Utilities" %>
<%@ Import Namespace="Vevo.WebUI" %>
<div class="ProductListItemColumn3">
    <table class="ProductListItemColumn3Table" cellpadding="0" cellspacing="0">
        <tr>
            <td class="Column3Image">
                <asp:Panel ID="uxImagePanel" runat="server" CssClass="Column3ImagePanel">
                    <table class="Column3Image" cellpadding="8">
                        <tr>
                            <td valign="middle">
                                <asp:HyperLink ID="uxProductLink" runat="server" NavigateUrl='<%# Vevo.UrlManager.GetProductUrl( Eval( "ProductID" ).ToString(), Eval( "UrlName" ).ToString() ) %>'
                                    CssClass="ProductLink">
                                    <uc1:CatalogImage ID="uxCatalogImage" runat="server" ProductID='<%# Eval( "ProductID" ).ToString() %>' />
                                </asp:HyperLink>
                            </td>
                        </tr>
                    </table>
                    <uc6:ProductQuickView ID="uxQuickView" runat="server" ProductID='<%# Eval( "ProductID" ).ToString() %>' />
                </asp:Panel>
            </td>
        </tr>
        <tr>
            <td class="Column3Details">
                <div class="Column3SpecialLabel">
                    <asp:Label ID="uxQuantityDiscountPanel" runat="server" CssClass="DiscountLabel" Text="[$DiscountIcon]"
                        Visible='<%# QuantityDiscountVisible( Eval("DiscountGroupID"), Eval("CategoryIDs") ) %>' />
                    <asp:Label ID="uxFreeShippingRow" runat="server" CssClass="FreeShippingLabel" Text="[$FreeShippingIcon]"
                        Visible='<%# Convert.ToBoolean(Eval( "FreeShippingCost" ))%>' />
                </div>
                <div class="Column3NameDiv">
                    <asp:HyperLink ID="uxNameLink" CssClass="Column3NameLink" NavigateUrl='<%# UrlManager.GetProductUrl( Eval( "ProductID" ).ToString(), Eval( "UrlName" ).ToString() ) %>'
                        runat="server"> 
                    <%# Eval("Name") %> 
                    </asp:HyperLink>
                </div>
                <asp:Panel ID="uxCallForPriceTR" runat="server" Visible='<%# IsCallForPrice( Eval( "IsCallForPrice" ) ) %>'
                    CssClass="Column3OurPricePanel">
                    [$CallForPrice]
                </asp:Panel>
                <asp:Panel ID="uxRetailPriceTR" runat="server" Visible='<%# IsRetailPriceEnabled( Eval( "IsFixedPrice" ), Eval( "IsCustomPrice" ), GetRetailPrice( Eval( "ProductID" ) ), Eval( "IsCallForPrice" ) ) && !IsDynamicProductKitPrice(BindingContainer)%>'
                    CssClass="Column3RetailPricePanel">
                    <asp:Panel ID="uxDiscountPercentLabel" runat="server" CssClass="ProductListDiscountPercent"
                        Visible='<%# IsDiscount(Eval( "ProductID" )) && IsFixedPrice( Eval( "IsFixedPrice" ), Eval( "IsCustomPrice" ), Eval( "IsCallForPrice" )  )  %>'>
                        <asp:Label ID="uxRetailPriceLabel" runat="server" CssClass="Column3RetailPriceValue">
                        <%# StoreContext.Currency.FormatPrice( GetRetailPrice( Eval( "ProductID" ) ) )%>
                        </asp:Label><br />
                        <span class="DiscountPercent" id="Span1" runat="server" visible='<%# IsDiscount(Eval( "ProductID" )) && IsFixedPrice( Eval( "IsFixedPrice" ), Eval( "IsCustomPrice" ), Eval( "IsCallForPrice" )  )  %>'>
                            <span class="PercentLabel">[$Percent]</span> <span class="PercentValue">
                                <%# GetDiscountPercent( Eval( "ProductID" ))%></span> </span>
                    </asp:Panel>
                </asp:Panel>
                <asp:Panel ID="uxOurPriceDiv" runat="server" CssClass="Column3OurPricePanel" Visible='<%# IsFixedPrice( Eval( "IsFixedPrice" ), Eval( "IsCustomPrice" ), Eval( "IsCallForPrice" ) )&& !IsDynamicProductKitPrice(BindingContainer) %>'>
                    <asp:Label ID="uxPriceLabel" runat="server" Visible='<%# IsFixedPrice( Eval( "IsFixedPrice" ) ) %>'
                        Text='<%# GetFormattedPriceFromContainer( BindingContainer ) %>' />
                </asp:Panel>
            </td>
        </tr>
        <tr>
            <td class="Column3Button">
                <asp:Panel ID="uxAddtoCartPlaceHolder" runat="server" Visible='<%# !CatalogUtilities.IsCatalogMode() %>'
                    CssClass="Column3AddtoCartPanel">
                    <asp:LinkButton ID="uxAddToCartImageButton" runat="server" OnClick="uxAddToCartImageButton_Command"
                        CommandName='<%# Eval( "UrlName" ) %>' CommandArgument='<%# Eval( "ProductID" ) %>'
                        Visible='<%# !(CatalogUtilities.IsOutOfStock( Convert.ToInt32( Eval( "SumStock" ) ) , Convert.ToBoolean(Eval("UseInventory")))) && IsAuthorizedToViewPrice(Eval( "IsCallForPrice" )) %>'
                        ValidationGroup='<%# String.Format( "ProductValid{0}", Eval( "ProductID" ).ToString() ) %>'
                        Text="[$BtnAddtoCart]" CssClass="BtnStyle1" />
                </asp:Panel>
                <div class="Column3TellFriendPanel">
                    <asp:LinkButton ID="uxTellFriendLinkButton" runat="server" Text=" " CssClass="BtnStyle5 TellFriendLinkButton"
                        OnCommand="uxTellFriendButton_Command" CommandArgument='<%#Vevo.UrlManager.GetTellFriendUrl( Eval( "ProductID" ).ToString(), Eval( "UrlName" ).ToString() ) %>'
                        ToolTip="[$BtnTellFriend]" />
                </div>
                <asp:Panel ID="uxAddtoWishListDiv" runat="server" CssClass="Column3AddtoWishListPanel"
                    Visible='<%# !Convert.ToBoolean( Eval( "IsGiftCertificate" ) ) && !Convert.ToBoolean( Eval( "IsCustomPrice" ) ) && !CatalogUtilities.IsOutOfStock( Convert.ToInt32( Eval( "SumStock" ) ) , Convert.ToBoolean(Eval("UseInventory"))) %>'>
                    <uc4:AddtoWishListButton ID="uxAddtoWishListButton" runat="server" Visible='<%# !Convert.ToBoolean( Eval( "IsGiftCertificate" ) ) && 
                    !CatalogUtilities.IsOutOfStock( Convert.ToInt32( Eval( "SumStock" ) ) , Convert.ToBoolean(Eval("UseInventory"))) &&
                    !Convert.ToBoolean( Eval( "IsCustomPrice" ) ) && !Convert.ToBoolean( Eval( "IsCallForPrice" ) ) && !Convert.ToBoolean( Eval( "IsProductKit" ) ) %>'
                        ProductID='<%# Eval( "ProductID" ) %>' UrlName='<%# Eval( "UrlName" ) %>' ValidationGroup='<%# String.Format( "ProductValid{0}", Eval( "ProductID" ).ToString() ) %>'
                        Text=" " />
                </asp:Panel>
                <asp:Panel ID="uxAddtoCompareListPanel" runat="server" CssClass="Column3AddtoCompareListPanel"
                    Visible='<%# !Convert.ToBoolean( Eval( "IsProductKit" ) ) && !Convert.ToBoolean( Eval( "IsGiftCertificate" ) )  %>'>
                    <uc7:AddtoCompareListButton ID="uxAddtoCompareListButton" runat="server" ProductID='<%# Eval( "ProductID" ) %>'
                        UrlName='<%# Eval( "UrlName" ) %>' Text=" " />
                </asp:Panel>
            </td>
        </tr>
        <tr>
            <td colspan="2">
                <asp:Panel ID="uxOptionGroupPanel" runat="server" CssClass="ProductListItemColumn1OptionGroupPanel"
                    Visible='<%# OptionVisibleInProductList(Eval( "ProductID" ).ToString()) %>'>
                    <uc3:OptionGroupDetails ID="uxOptionGroupDetails" runat="server" ProductID='<%# Eval( "ProductID" ) %>'
                        ValidGroup='<%# String.Format( "ProductValid{0}", Eval( "ProductID" ).ToString() ) %>' />
                </asp:Panel>
            </td>
        </tr>
    </table>
</div>
<asp:UpdatePanel ID="uxNotificationUpdate" runat="server" UpdateMode="Conditional">
    <ContentTemplate>
        <uc8:AddToCartNotification ID="uxAddToCartNotification" runat="server" />
    </ContentTemplate>
    <Triggers>
        <asp:AsyncPostBackTrigger ControlID="uxAddToCartImageButton" />
    </Triggers>
</asp:UpdatePanel>
