<%@ Control Language="C#" AutoEventWireup="true" CodeFile="ProductBestSelling.ascx.cs"
    Inherits="Components_ProductBestSelling" %>
<%@ Register Src="~/Components/CatalogImage.ascx" TagName="CatalogImage" TagPrefix="uc1" %>
<%@ Register Src="~/Components/AddToCartNotification.ascx" TagName="AddToCartNotification"
    TagPrefix="uxAddToCartNotification" %>
<%@ Register Src="~/Components/ProductQuickView.ascx" TagName="ProductQuickView"
    TagPrefix="uc6" %>
<%@ Import Namespace="Vevo" %>
<%@ Import Namespace="Vevo.Shared.Utilities" %>
<%@ Import Namespace="Vevo.WebUI" %>
<div class="ProductBestSelling" id="uxProductBestSellingDiv" runat="server">
    <div class="CenterBlockTop">
        <asp:Image ID="uxTopLeft" ImageUrl="~/Images/Design/Box/RandomProductTopLeft.gif"
            runat="server" CssClass="CenterBlockTopImgLeft" />
        <asp:Label ID="uxProductBestSellingTitle" runat="server" Text="[$ProductBestSelling]"
            CssClass="CenterBlockTopTitle"></asp:Label>
        <asp:Image ID="uxTopRight" ImageUrl="~/Images/Design/Box/RandomProductTopRight.gif"
            runat="server" CssClass="CenterBlockTopImgRight" />
        <div class="Clear">
        </div>
    </div>
    <div class="CenterBlockLeft">
        <div class="CenterBlockRight">
            <asp:DataList ID="uxBestSellingList" runat="server" RepeatDirection="Horizontal"
                RepeatColumns="2" CellSpacing="0" CellPadding="0" CssClass="ProductBestSellingDataList slides_container"
                GridLines="None">
                <ItemTemplate>
                    <table class="ProductBestSellingItem" cellpadding="0" cellspacing="0">
                        <tr>
                            <td class="ProductBestSellingImage">
                                <asp:Panel ID="uxImagePanel" runat="server" CssClass="ProductBestSellingImagePanel">
                                    <table class="ProductBestSellingImage" cellpadding="0">
                                        <tr>
                                            <td valign="middle">
                                                <asp:HyperLink ID="uxProductLink" runat="server" NavigateUrl='<%# Vevo.UrlManager.GetProductUrl( Eval( "ProductID" ).ToString(), Eval( "UrlName" ).ToString() ) %>'
                                                    CssClass="ProductLink">
                                                    <uc1:CatalogImage ID="uxCatalogImage" runat="server" ProductID='<%# Eval( "ProductID" ).ToString() %>' />
                                                </asp:HyperLink>
                                            </td>
                                        </tr>
                                    </table>
                                </asp:Panel>
                            </td>
                        </tr>
                        <tr>
                            <td class="ProductBestSellingColumn">
                                <div class="ProductBestSellingName">
                                    <asp:HyperLink ID="uxNameLink" runat="server" CssClass="ProductBestSellingNameLink"
                                        NavigateUrl='<%# Vevo.UrlManager.GetProductUrl( Eval( "ProductID" ).ToString(), Eval( "UrlName" ).ToString() ) %>'> 
                            <%# Eval("Name") %> 
                                    </asp:HyperLink>
                                </div>
                                <div class="ProductBestSellingDescription">
                                 <%# GetDisplayString(Eval("ShortDescription"),80)%>
                                </div>
                                <div class="ProductBestSellingPriceDetails">
                                    <asp:Panel ID="uxRetailPriceTR" runat="server" Visible='<%# IsAuthorizedToViewPrice() && CheckEqualPrice (Eval( "ProductID" )) || IsRetailPriceEnabled( Eval( "IsFixedPrice" ), Eval( "IsCustomPrice" ), GetRetailPrice( Eval( "ProductID" ) ), Eval( "IsCallForPrice" ) ) %>' 
                                        CssClass="ProductBestSellingRetailPrice">
                                       
                                        <asp:Panel ID="uxDiscountPercent" runat="server" CssClass="ProductBestSellingPriceDiscount"
                                            Visible='<%# CheckEqualPrice (Eval( "ProductID" )) %>'>
                                            <asp:Label ID="uxRetailPriceLabel" runat="server" CssClass="ProductBestSellingRetailPriceValue"
                                                Text='<%# StoreContext.Currency.FormatPrice( Convert.ToDecimal( GetRetailPrice( Eval( "ProductID" ) ) ) )%>' />
                                            <span class="DiscountPercent" id="uxDiscountPercentLabel" runat="server" visible='<%# IsDiscount(Eval( "ProductID" )) && IsFixedPrice( Eval( "IsFixedPrice" ), Eval( "IsCustomPrice" ), Eval( "IsCallForPrice" )  )  %>'>
                                                <span class="PercentLabel">[$Percent]</span> <span class="PercentValue">
                                                    <%# GetDiscountPercent( Eval( "ProductID" ))%></span> </span>
                                        </asp:Panel>
                                        <div class="Clear">
                                        </div>
                                    </asp:Panel>                                    
                                    <asp:Panel ID="uxPriceTR" runat="server" Visible='<%# IsAuthorizedToViewPrice() && IsFixedPrice( Eval( "IsFixedPrice" ), Eval( "IsCustomPrice" ), Eval( "IsCallForPrice" )  ) %>'
                                        CssClass="ProductBestSellingOurPrice">
                                       
                                        <div class="ProductBestSellingOurPriceValue">
                                            <%# GetFormattedPriceFromContainer( Container ) %>
                                        </div>
                                    </asp:Panel>
                                    <asp:Panel ID="uxCallForPriceTR" runat="server" Visible='<%# Eval( "IsCallForPrice" )%>'>
                                        <div class="ProductBestSellingOurPriceValue">
                                            [$CallForPrice]</div>
                                        <div class="Clear">
                                        </div>
                                    </asp:Panel>
                                </div>
                                <div class="ProductBestSellingSpecialLabel">
                                    <asp:Label ID="uxQuantityDiscountLabel" runat="server" CssClass="DiscountLabel" Text="[$DiscountIcon]"
                                        Visible='<%# CatalogUtilities.GetQuantityDiscountByProductID( Eval("DiscountGroupID"), Eval("CategoryIDs") ) %>' />
                                  <asp:Panel ID="ProductBestSellingRecurringPanel" runat="server" CssClass="ProductBestSellingRecurringProduct"
                        Visible='<%# ConvertUtilities.ToBoolean( Eval("IsRecurring") ) %>'>
                        <asp:HyperLink ID="uxRecurringLink" runat="server" NavigateUrl='<%# Vevo.UrlManager.GetProductUrl( Eval( "ProductID" ).ToString(), Eval( "UrlName" ).ToString() ) %>'><img src="[$RecurringIcon]" class="ProductBestSellingRecurringProductImage" /></asp:HyperLink>
                    </asp:Panel>
                                </div>
                            </td>
                        </tr>
                    </table>
                </ItemTemplate>
                <ItemStyle CssClass="ProductBestSellingItemStyle" />
            </asp:DataList>
        </div>
    </div>
    <div class="CenterBlockBottom">
        <asp:Image ID="uxBottomLeft" ImageUrl="~/Images/Design/Box/RandomProductBottomLeft.gif"
            runat="server" CssClass="CenterBlockBottomImgLeft" />
        <asp:Image ID="uxBottomRight" ImageUrl="~/Images/Design/Box/RandomProductBottomRight.gif"
            runat="server" CssClass="CenterBlockBottomImgRight" />
        <div class="Clear">
        </div>
    </div>
</div>
